{% extends "elections2021/base.html" %}
{% load static wagtailcore_tags %}

{% block content_header %}
  <article class=" relative bg-lemon md:bg-split-color px-4 md:pl-8 md:pr-0 2xl:px-8 hero py-0 w-full ">
    <div class="2xl:container w-auto bg-lemon md:pl-20 pr-0 grid lg:grid-rows-1 h-40 sm:h-56 md:h-64  lg:grid-cols-7 items-center 2xl:mx-auto">
      <div class="lg:row-span-1 lg:col-span-4 order-1 md:pr-20">
        <h1 class="head-alt-md sm:head-alt-lg pt-1 max-w-xl">{{ page.title }}</h1>
        <h2 class="head-alt-sm sm:head-alt-md pt-1 max-w-xl">Kde nás můžete potkat?</h2>
      </div>
      <div class="text-center hidden lg:block lg:row-span-2 lg:col-span-3 order-2 h-full 2xl:right-0 2xl:text-right">
        <i class="h-64 py-12 inline-block ico--calendar banner__icon"></i>
      </div>
    </div>
  </article>
{% endblock %}

{% block content %}
<div class="container container--default pt-16 pb-8 px-0 md:px-1">
  <div class="m-auto text-center text-xl leading-loose max-w-2xl">
    {% if not request.GET.tag %}
    <span class="font-bold p-1 bg-black text-white">Všechny akce</span> nebo jenom
    {% else %}
    <a href="?region={{request.GET.region|urlencode}}&amp;tag=" class="font-bold p-1 bg-lemon">Všechny akce</a> nebo jenom
    {% endif %}

    {% if request.GET.tag == 'lídři' %}
    <span class="font-bold p-1 bg-black text-white">setkání s lídry</span>,
    {% else %}
    <a href="?region={{request.GET.region|urlencode}}&amp;tag=lídři" class="font-bold p-1 bg-lemon">setkání s lídry</a>,
    {% endif %}

    {% if request.GET.tag == 'bartoš' %}
    <span class="font-bold p-1 bg-black text-white">Ivanem Bartošem</span>,
    {% else %}
    <a href="?region={{request.GET.region|urlencode}}&amp;tag=bartoš" class="font-bold p-1 bg-lemon">Ivanem Bartošem</a>,
    {% endif %}

    {% if request.GET.tag == 'rakušan' %}
    <span class="font-bold p-1 bg-black text-white">Vítem Rakušanem</span>,
    {% else %}
    <a href="?region={{request.GET.region|urlencode}}&amp;tag=rakušan" class="font-bold p-1 bg-lemon">Vítem Rakušanem</a>,
    {% endif %}

    {% if request.GET.tag == 'nanukára' %}
    <span class="font-bold p-1 bg-black text-white">zastávka Nanukáry</span>,
    {% else %}
    <a href="?region={{request.GET.region|urlencode}}&amp;tag=nanukára" class="font-bold p-1 bg-lemon">zastávka Nanukáry</a>,
    {% endif %}

    {% if request.GET.tag == 'švindlbus' %}
    <span class="font-bold p-1 bg-black text-white">Švindlbus s muzeem korupce</span>,
    {% else %}
    <a href="?region={{request.GET.region|urlencode}}&amp;tag=švindlbus" class="font-bold p-1 bg-lemon">Švindlbus s muzeem korupce</a>,
    {% endif %}

    {% if request.GET.tag == 'stříbrnýšíp' %}
    <span class="font-bold p-1 bg-black text-white">Autobus seniorů na palubě Stříbrný šíp</span>,
    {% else %}
    <a href="?region={{request.GET.region|urlencode}}&amp;tag=stříbrnýšíp" class="font-bold p-1 bg-lemon">Autobus seniorů na palubě Stříbrný šíp</a>,
    {% endif %}

    {% if request.GET.tag == 'vraťmezemibudoucnost' %}
    <span class="font-bold p-1 bg-black text-white">akce Vraťme zemi budoucnost</span> či
    {% else %}
    <a href="?region={{request.GET.region|urlencode}}&amp;tag=vraťmezemibudoucnost" class="font-bold p-1 bg-lemon">akce Vraťme zemi budoucnost</a> či
    {% endif %}

    {% if request.GET.tag == 'callcentrum' %}
    <span class="font-bold p-1 bg-black text-white">Zavolej mi</span>?
    {% else %}
    <a href="?region={{request.GET.region|urlencode}}&amp;tag=callcentrum" class="font-bold p-1 bg-lemon">Zavolej mi</a>?
    {% endif %}
  </div>

  <div class="m-auto text-center py-8 text-xl leading-loose max-w-2xl">
    {% if not request.GET.region %}
    <span class="font-bold p-1 bg-black text-white">Všechny kraje</span> nebo jenom
    {% else %}
    <a href="?region=&amp;tag={{request.GET.tag}}" class="font-bold p-1 bg-lemon">Všechny kraje</a> nebo jenom
    {% endif %}

    {% if request.GET.region == 'PHA' %}
    <span class="font-bold p-1 bg-black text-white">Praha</span>,
    {% else %}
    <a href="?region=PHA&amp;tag={{request.GET.tag}}" class="font-bold p-1 bg-lemon">Praha</a>,
    {% endif %}

    {% if request.GET.region == 'STC' %}
    <span class="font-bold p-1 bg-black text-white">Středočeský</span>,
    {% else %}
    <a href="?region=STC&amp;tag={{request.GET.tag}}" class="font-bold p-1 bg-lemon">Středočeský</a>,
    {% endif %}

    {% if request.GET.region == 'JHC' %}
    <span class="font-bold p-1 bg-black text-white">Jihočeský</span>,
    {% else %}
    <a href="?region=JHC&amp;tag={{request.GET.tag}}" class="font-bold p-1 bg-lemon">Jihočeský</a>,
    {% endif %}

    {% if request.GET.region == 'PLK' %}
    <span class="font-bold p-1 bg-black text-white">Plzeňský</span>,
    {% else %}
    <a href="?region=PLK&amp;tag={{request.GET.tag}}" class="font-bold p-1 bg-lemon">Plzeňský</a>,
    {% endif %}

    {% if request.GET.region == 'KVK' %}
    <span class="font-bold p-1 bg-black text-white">Karlovarský</span>,
    {% else %}
    <a href="?region=KVK&amp;tag={{request.GET.tag}}" class="font-bold p-1 bg-lemon">Karlovarský</a>,
    {% endif %}

    {% if request.GET.region == 'ULK' %}
    <span class="font-bold p-1 bg-black text-white">Ústecký</span>,
    {% else %}
    <a href="?region=ULK&amp;tag={{request.GET.tag}}" class="font-bold p-1 bg-lemon">Ústecký</a>,
    {% endif %}

    {% if request.GET.region == 'LBK' %}
    <span class="font-bold p-1 bg-black text-white">Liberecký</span>,
    {% else %}
    <a href="?region=LBK&amp;tag={{request.GET.tag}}" class="font-bold p-1 bg-lemon">Liberecký</a>,
    {% endif %}

    {% if request.GET.region == 'HKK' %}
    <span class="font-bold p-1 bg-black text-white">Královéhradecký</span>,
    {% else %}
    <a href="?region=HKK&amp;tag={{request.GET.tag}}" class="font-bold p-1 bg-lemon">Královéhradecký</a>,
    {% endif %}

    {% if request.GET.region == 'MSK' %}
    <span class="font-bold p-1 bg-black text-white">Moravskoslezský</span>,
    {% else %}
    <a href="?region=MSK&amp;tag={{request.GET.tag}}" class="font-bold p-1 bg-lemon">Moravskoslezský</a>,
    {% endif %}

    {% if request.GET.region == 'PAK' %}
    <span class="font-bold p-1 bg-black text-white">Pardubický</span>,
    {% else %}
    <a href="?region=PAK&amp;tag={{request.GET.tag}}" class="font-bold p-1 bg-lemon">Pardubický</a>,
    {% endif %}

    {% if request.GET.region == 'VYS' %}
    <span class="font-bold p-1 bg-black text-white">Vysočina</span>,
    {% else %}
    <a href="?region=VYS&amp;tag={{request.GET.tag}}" class="font-bold p-1 bg-lemon">Vysočina</a>,
    {% endif %}

    {% if request.GET.region == 'JHM' %}
    <span class="font-bold p-1 bg-black text-white">Jihomoravský</span>,
    {% else %}
    <a href="?region=JHM&amp;tag={{request.GET.tag}}" class="font-bold p-1 bg-lemon">Jihomoravský</a>,
    {% endif %}

    {% if request.GET.region == 'OLK' %}
    <span class="font-bold p-1 bg-black text-white">Olomoucký</span> či
    {% else %}
    <a href="?region=OLK&amp;tag={{request.GET.tag}}" class="font-bold p-1 bg-lemon">Olomoucký</a> či
    {% endif %}

    {% if request.GET.region == 'ZLK' %}
    <span class="font-bold p-1 bg-black text-white">Zlínský</span>?
    {% else %}
    <a href="?region=ZLK&amp;tag={{request.GET.tag}}" class="font-bold p-1 bg-lemon">Zlínský</a>?
    {% endif %}
  </div>

<div class="container container--default pt-8 pb-16 px-0 md:px-1">
  {% for event in page.get_calendar.future_events %}
    {% if not request.GET.tag or request.GET.tag in event.pir.tags %}
      {% if not request.GET.region or request.GET.region == event.pir.region %}
        <div class="grid grid-cols-12 items-center calendar-table-row my-1">
          <div class="col-span-2 head-alt-md calendar-table-row__col" style="color: #92ac00">
            <span>{{ event.start|date:"j." }}</span>
          </div>
          <div class="col-span-8 grid grid-cols-3 calendar-table-row__col">
            <div class="col-span-3 md:col-span-1">
              <strong class="block">{{ event.start|date:"l j. E"|capfirst }}</strong>
              <p class="font-light text-sm mt-1">{{ event.duration }}</p>
            </div>
            <div class="col-span-3 md:col-span-2 mt-4 md:mt-0">
              <p>
                <strong>{{ event.pir.name }}</strong>
                {% for tag in event.pir.tags %}
                <span class="text-sm font-light">#{{tag}}</span>
                {% endfor %}
              </p>
              {% if event.location %}
              <p class="font-light text-sm mt-1">{{ event.location }}</p>
              {% endif %}

              {% if event.description %}
              <p class="font-light text-sm mt-1">{{ event.description }}</p>
              {% endif %}
            </div>
          </div>
          <div class="col-span-2 text-center font-light calendar-table-row__col">
            {% if event.location %}
            <a href="https://maps.google.com/maps?q={{ event.location }}" class="icon-link">
              <i class="ico--location" style="color: #92ac00" aria-hidden="true"></i>
              <span>Mapa</span>
            </a>
            {% endif %}
          </div>
        </div>
      {% endif %}
    {% endif %}
  {% empty %}
    <div class="calendar__row__content">
      <p>Žádné události.</p>
    </div>
  {% endfor %}

</div>
{% endblock %}
